RHEL 7 : gcc (RHSA-2018:0849)

medium Nessus Plugin ID 108988
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

An update for gcc is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Low. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link (s) in the References section.

The gcc packages provide compilers for C, C++, Java, Fortran, Objective C, and Ada 95 GNU, as well as related support libraries.

Security Fix(es) :

* gcc: GCC generates incorrect code for RDRAND/RDSEED intrinsics (CVE-2017-11671)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes :

For detailed information on changes in this release, see the Red Hat Enterprise Linux 7.5 Release Notes linked from the References section.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?dde41582

https://access.redhat.com/errata/RHSA-2018:0849

https://access.redhat.com/security/cve/cve-2017-11671

Plugin Details

Severity: Medium

ID: 108988

File Name: redhat-RHSA-2018-0849.nasl

Version: 1.9

Type: local

Agent: unix

Published: 4/11/2018

Updated: 2/8/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 1.4

CVSS v2

Risk Factor: Low

Base Score: 2.1

Vector: AV:L/AC:L/Au:N/C:P/I:N/A:N

CVSS v3

Risk Factor: Medium

Base Score: 4

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:cpp, p-cpe:/a:redhat:enterprise_linux:gcc, p-cpe:/a:redhat:enterprise_linux:gcc-base-debuginfo, p-cpe:/a:redhat:enterprise_linux:gcc-c%2b%2b, p-cpe:/a:redhat:enterprise_linux:gcc-debuginfo, p-cpe:/a:redhat:enterprise_linux:gcc-gfortran, p-cpe:/a:redhat:enterprise_linux:gcc-gnat, p-cpe:/a:redhat:enterprise_linux:gcc-go, p-cpe:/a:redhat:enterprise_linux:gcc-objc, p-cpe:/a:redhat:enterprise_linux:gcc-objc%2b%2b, p-cpe:/a:redhat:enterprise_linux:gcc-plugin-devel, p-cpe:/a:redhat:enterprise_linux:libasan, p-cpe:/a:redhat:enterprise_linux:libasan-static, p-cpe:/a:redhat:enterprise_linux:libatomic, p-cpe:/a:redhat:enterprise_linux:libatomic-static, p-cpe:/a:redhat:enterprise_linux:libgcc, p-cpe:/a:redhat:enterprise_linux:libgfortran, p-cpe:/a:redhat:enterprise_linux:libgfortran-static, p-cpe:/a:redhat:enterprise_linux:libgnat, p-cpe:/a:redhat:enterprise_linux:libgnat-devel, p-cpe:/a:redhat:enterprise_linux:libgnat-static, p-cpe:/a:redhat:enterprise_linux:libgo, p-cpe:/a:redhat:enterprise_linux:libgo-devel, p-cpe:/a:redhat:enterprise_linux:libgo-static, p-cpe:/a:redhat:enterprise_linux:libgomp, p-cpe:/a:redhat:enterprise_linux:libitm, p-cpe:/a:redhat:enterprise_linux:libitm-devel, p-cpe:/a:redhat:enterprise_linux:libitm-static, p-cpe:/a:redhat:enterprise_linux:libmudflap, p-cpe:/a:redhat:enterprise_linux:libmudflap-devel, p-cpe:/a:redhat:enterprise_linux:libmudflap-static, p-cpe:/a:redhat:enterprise_linux:libobjc, p-cpe:/a:redhat:enterprise_linux:libquadmath, p-cpe:/a:redhat:enterprise_linux:libquadmath-devel, p-cpe:/a:redhat:enterprise_linux:libquadmath-static, p-cpe:/a:redhat:enterprise_linux:libstdc%2b%2b, p-cpe:/a:redhat:enterprise_linux:libstdc%2b%2b-devel, p-cpe:/a:redhat:enterprise_linux:libstdc%2b%2b-docs, p-cpe:/a:redhat:enterprise_linux:libstdc%2b%2b-static, p-cpe:/a:redhat:enterprise_linux:libtsan, p-cpe:/a:redhat:enterprise_linux:libtsan-static, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.6, cpe:/o:redhat:enterprise_linux:7.7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 4/10/2018

Vulnerability Publication Date: 7/26/2017

Reference Information

CVE: CVE-2017-11671

RHSA: 2018:0849